### Property

# Shumate TileDownloader:url-template

#### Declaration

    property url-template: utf8 [ read, write, construct-only ]

#### Description [src]

A template for construting the URL to download a tile from.

The template has the following replacements: - “{x}”: The X coordinate of the tile - “{y}”: The Y coordinate of the tile - “{z}”: The zoom level of the tile - “{tmsy}”: The inverted Y coordinate (i.e. tile numbering starts with 0 at the bottom, rather than top, of the map).

Type:`gchar*`

Default value | NULL

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes